# getRandomTrainerFunc | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function getRandomTrainerFunc

- getRandomTrainerFunc(
  trainerPool: (TrainerType | TrainerType [])[],
  randomGender?: boolean,
  seedOffset?: number,
  ): GetTrainerFunc

  Helper function to generate a random trainer for evil team trainers and the elite 4/champion

  #### Parameters

  - trainerPool: (TrainerType | TrainerType [])[]

    The TrainerType or list of TrainerTypes that can possibly be generated

  - randomGender: boolean = false

    whether or not to randomly (50%) generate a female trainer (for use with evil team grunts)

  - seedOffset: number = 0

    the seed offset to use for the random generation of the trainer

  #### Returns GetTrainerFunc

  the generated trainer

  - Defined in src/battle.ts:551